/***************************************************************************
                          fopenFromList.h  -  description
                             -------------------
    begin                : Sun Apr 8 2001
    copyright            : (C) 2001 by Lars Krueger
    email                : lars_e_krueger@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _fopenFromList_h_
#define _fopenFromList_h_
#ifdef _cplusplus
extern "C" {
#endif

#include <stdio.h>

/** @name Open a file from a list of names.
  Some files (e.g. configuration files) may appear in different directories,
  that should be searched in a certain order. This module handles this
  function.
*/


/*@{*/

/** Open a file similiar to fopen. The permission string is the same as in
  fopen. Then the list of filenames to check follows. The list is terminated
  by a NULL pointer. */
extern FILE * fopenFromList( const char * perm, ...);

/*@}*/
#ifdef _cplusplus
}
#endif
#endif

