/***************************************************************************
                          lockFile.c  -  Lock file management
                             -------------------
    begin                : Sat Apr 7 2001
    copyright            : (C) 2001 by Lars Krueger
    email                : lars_e_krueger@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include <string.h>

#include "lockFile.h"

static pid_t pidRead;
static char fileName[FILENAME_MAX];
static char appName[FILENAME_MAX];

#define LOCK_FILE_DIR "/var/lock/"

void setupLockFile( const char * applicationName)
{
  strcpy( fileName, LOCK_FILE_DIR);
  strcat( fileName, applicationName);
  strcpy( appName, applicationName);
}

void killLockFile()
{
  unlink( fileName);
  if(kill(pidRead,SIGTERM)<0)
    perror(appName);
}

int validateLockFile()
{
  FILE * fi=fopen( fileName, "r");
  if( fi)
  {
    fscanf( fi, "%d", &pidRead);
    fclose(fi);
    return 1;
  }
  return 0;
}

void createLockFile()
{
  FILE * fo=fopen( fileName, "w");
  fprintf( fo, "%d", getpid());
  fclose(fo);
}

pid_t lockFilePid()
{
  return pidRead;
}

const char * lockFileName()
{
  return fileName;
}

